package com.ruoyi.project.patrol.dev.service;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevBicycle;

/**
 * 自行车Service接口
 * 
 * @author admin
 * @date 2023-11-09
 */
public interface ITDevBicycleService 
{
    /**
     * 查询自行车
     * 
     * @param id 自行车主键
     * @return 自行车
     */
    public TDevBicycle selectTDevBicycleById(Long id);

    /**
     * 查询自行车列表
     * 
     * @param tDevBicycle 自行车
     * @return 自行车集合
     */
    public List<TDevBicycle> selectTDevBicycleList(TDevBicycle tDevBicycle);

    /**
     * 新增自行车
     * 
     * @param tDevBicycle 自行车
     * @return 结果
     */
    public int insertTDevBicycle(TDevBicycle tDevBicycle);

    /**
     * 修改自行车
     * 
     * @param tDevBicycle 自行车
     * @return 结果
     */
    public int updateTDevBicycle(TDevBicycle tDevBicycle);

    /**
     * 批量删除自行车
     * 
     * @param ids 需要删除的自行车主键集合
     * @return 结果
     */
    public int deleteTDevBicycleByIds(Long[] ids);

    /**
     * 删除自行车信息
     * 
     * @param id 自行车主键
     * @return 结果
     */
    public int deleteTDevBicycleById(Long id);
}
